v1.74.0-stable
Deploy this versionβ
- Docker
- Pip
docker run \
-e STORE_MODEL_IN_DB=True \
-p 4000:4000 \
docker.litellm.ai/berriai/litellm:v1.74.0-stable
pip install litellm==1.74.0.post2
Key Highlightsβ
- MCP Gateway Namespace Servers - Clients connecting to LiteLLM can now specify which MCP servers to use.
- Key/Team Based Logging on UI - Proxy Admins can configure team or key-based logging settings directly in the UI.
- Azure Content Safety Guardrails - Added support for prompt injection and text moderation with Azure Content Safety Guardrails.
- VertexAI Deepseek Models - Support for calling VertexAI Deepseek models with LiteLLM's/chat/completions or /responses API.
- Github Copilot API - You can now use Github Copilot as an LLM API provider.
MCP Gateway: Namespaced MCP Serversβ
This release brings support for namespacing MCP Servers on LiteLLM MCP Gateway. This means you can specify the x-mcp-servers header to specify which servers to list tools from.
This is useful when you want to point MCP clients to specific MCP Servers on LiteLLM.
Usageβ
- OpenAI API
- LiteLLM Proxy
- Cursor IDE
curl --location 'https://api.openai.com/v1/responses' \
--header 'Content-Type: application/json' \
--header "Authorization: Bearer $OPENAI_API_KEY" \
--data '{
"model": "gpt-4o",
"tools": [
{
"type": "mcp",
"server_label": "litellm",
"server_url": "<your-litellm-proxy-base-url>/mcp",
"require_approval": "never",
"headers": {
"x-litellm-api-key": "Bearer YOUR_LITELLM_API_KEY",
"x-mcp-servers": "Zapier_Gmail"
}
}
],
"input": "Run available tools",
"tool_choice": "required"
}'
In this example, the request will only have access to tools from the "Zapier_Gmail" MCP server.
curl --location '<your-litellm-proxy-base-url>/v1/responses' \
--header 'Content-Type: application/json' \
--header "Authorization: Bearer $LITELLM_API_KEY" \
--data '{
"model": "gpt-4o",
"tools": [
{
"type": "mcp",
"server_label": "litellm",
"server_url": "<your-litellm-proxy-base-url>/mcp",
"require_approval": "never",
"headers": {
"x-litellm-api-key": "Bearer YOUR_LITELLM_API_KEY",
"x-mcp-servers": "Zapier_Gmail,Server2"
}
}
],
"input": "Run available tools",
"tool_choice": "required"
}'
This configuration restricts the request to only use tools from the specified MCP servers.
{
"mcpServers": {
"LiteLLM": {
"url": "<your-litellm-proxy-base-url>/mcp",
"headers": {
"x-litellm-api-key": "Bearer $LITELLM_API_KEY",
"x-mcp-servers": "Zapier_Gmail,Server2"
}
}
}
}
This configuration in Cursor IDE settings will limit tool access to only the specified MCP server.
Team / Key Based Logging on UIβ
This release brings support for Proxy Admins to configure Team/Key Based Logging Settings on the UI. This allows routing LLM request/response logs to different Langfuse/Arize projects based on the team or key.
For developers using LiteLLM, their logs are automatically routed to their specific Arize/Langfuse projects. On this release, we support the following integrations for key/team based logging:
langfusearizelangsmith
Azure Content Safety Guardrailsβ
LiteLLM now supports Azure Content Safety Guardrails for Prompt Injection and Text Moderation. This is great for internal chat-ui use cases, as you can now create guardrails with detection for Azureβs Harm Categories, specify custom severity thresholds and run them across 100+ LLMs for just that use-case (or across all your calls).
Python SDK: 2.3 Second Faster Import Timesβ
This release brings significant performance improvements to the Python SDK with 2.3 seconds faster import times. We've refactored the initialization process to reduce startup overhead, making LiteLLM more efficient for applications that need quick initialization. This is a major improvement for applications that need to initialize LiteLLM quickly.
New Models / Updated Modelsβ
Pricing / Context Window Updatesβ
| Provider | Model | Context Window | Input ($/1M tokens) | Output ($/1M tokens) | Type |
|---|---|---|---|---|---|
| Watsonx | watsonx/mistralai/mistral-large | 131k | $3.00 | $10.00 | New |
| Azure AI | azure_ai/cohere-rerank-v3.5 | 4k | $2.00/1k queries | - | New (Rerank) |
Featuresβ
- π GitHub Copilot - Use GitHub Copilot API with LiteLLM - PR, Get Started
- π VertexAI DeepSeek - Add support for VertexAI DeepSeek models - PR, Get Started
- Azure AI
- Add azure_ai cohere rerank v3.5 - PR, Get Started
- Vertex AI
- Add size parameter support for image generation - PR, Get Started
- Custom LLM
- Pass through extra_ properties on "custom" llm provider - PR
Bugsβ
- Mistral
- Gemini
- Anthropic
- Fix user_id validation logic - PR
- Bedrock
- Support optional args for bedrock - PR
- Ollama
- Fix default parameters for ollama-chat - PR
- VLLM
- Add 'audio_url' message type support - PR